Subject: Re: [PATCH 00/21] builtin/config: remove global state

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 May 2024 10:40:20 -0700

Patrick Steinhardt <[email-masked]> writes:

> we have quite a lot of global state in git-config(1). For one, this
> global state is used to track options passed by the user. And second,
> there is a lot of global state that is really only used to pass data
> between caller and callbacks.

Long overdue.  It is very nice to see this happen finally.  

Even though I somehow feel that the clean-up should have done before
the "subcommand" series, it may probably not worth the churn to flip
the order of the series around.

Will take a look.